using System;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace DeadpoolMod.Items.Weapons
{
	public class DeadpoolsKatana : ModItem
	{
        public override void SetDefaults()
        {
            item.name = "Deadpool's Katana";
            item.damage = 250;
            item.melee = true;
            item.width = 40;
            item.height = 40;
            item.toolTip = "Great for unaliving others";
            item.useTime = 20;
            item.useAnimation = 20;
            item.useStyle = 1;
            item.knockBack = 50;
            item.value = 1000000;
            item.rare = 100;
            item.useSound = 1;
            item.autoReuse = true;
        }

        public override void AddRecipes()
        {
            ModRecipe recipe = new ModRecipe(mod);
            recipe.AddIngredient(Terraria.ID.ItemID.Katana);
            recipe.AddIngredient(Terraria.ID.ItemID.AdamantiteBar, 50);
            recipe.AddTile(TileID.Anvils);
            recipe.SetResult(this);
            recipe.AddRecipe();
        }
    }
}