using System;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace DeadpoolMod.Items.Weapons
{
    public class Deadpoolspistol : ModItem
    {
        public override void SetDefaults()
        {
            item.name = "Deadpool's Pistol";
            item.damage = 250;
            item.ranged = true;
            item.width = 42;
            item.height = 30;
            item.toolTip = "It takes 43 muscles to frown 17 to smile, but only three for a proper trigger squeeze";
            item.useTime = 20;
            item.useAnimation = 20;
            item.useStyle = 5;
            item.noMelee = true;
            item.knockBack = 20;
            item.value = 10000;
            item.rare = 100;
            item.useSound = 11;
            item.autoReuse = false;
            item.shoot = 10;
            item.shootSpeed = 16f;
            item.useAmmo = ProjectileID.Bullet;
        }

        public override void AddRecipes()
        {
            ModRecipe recipe = new ModRecipe(mod);
            recipe.AddIngredient(Terraria.ID.ItemID.Handgun);
            recipe.AddIngredient(Terraria.ID.ItemID.AdamantiteBar, 50);
            recipe.AddTile(TileID.Anvils);
            recipe.SetResult(this);
            recipe.AddRecipe();
        }
    }
}