using System;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace DeadpoolMod.Items.Weapons
{
    public class Deadpoolssmg : ModItem
    {
        public override void SetDefaults()
        {
            item.name = "Deadpool's SMG";
            item.damage = 200;
            item.ranged = true;
            item.width = 49;
            item.height = 36;
            item.toolTip = "BANG! BANG BANG BANG! BANG BANG BANG BANG!";
            item.useTime = 20;
            item.useAnimation = 20;
            item.useStyle = 5;
            item.noMelee = true;
            item.knockBack = 15;
            item.value = 10000;
            item.rare = 100;
            item.useSound = 11;
            item.autoReuse = true;
            item.shoot = 10;
            item.shootSpeed = 16f;
            item.useAmmo = ProjectileID.Bullet;
        }

        public override void AddRecipes()
        {
            ModRecipe recipe = new ModRecipe(mod);
            recipe.AddIngredient(Terraria.ID.ItemID.Uzi);
            recipe.AddIngredient(Terraria.ID.ItemID.AdamantiteBar, 50);
            recipe.AddTile(TileID.Anvils);
            recipe.SetResult(this);
            recipe.AddRecipe();
        }
    }
}