using System;
using System.Collections.Generic;
using Terraria;
using Terraria.ModLoader;

namespace DeadpoolMod.Items.Armor
{
    public class Deadpoolspants : ModItem
    {
        public override bool Autoload(ref string name, ref string texture, IList<EquipType> equips)
        {
            equips.Add(EquipType.Legs);
            return true;
        }

        public override void SetDefaults()
        {
            item.name = "Deadpool's Pants";
            item.width = 12;
            item.height = 18;
            item.toolTip = "You shoulda' worn your brown pants today";
            item.value = 0;
            item.rare = 100;
            item.defense = 50;
        }

        public override void UpdateEquip(Player player)
        {

        }

        public override void AddRecipes()
        {
            ModRecipe recipe = new ModRecipe(mod);
            recipe.AddIngredient(Terraria.ID.ItemID.TissueSample, 100);
            recipe.AddIngredient(null, "Chimichanga");
            recipe.SetResult(this);
            recipe.AddRecipe();
        }
    }
}